Subject: Re: bug#45330: 28.0.50; debbugs-gnu: Can't select reports before having started Gnus

From: Eric Abrahamsen <[email-masked]>
Date: Wed, 12 Jan 2022 15:07:46 -0800

On 12/31/21 19:55 PM, Michael Heerdegen wrote:
> Eric Abrahamsen <[email-masked]> writes:
>
>>  How about we move `gnus-registry-install-hooks' and
>> `gnus-registry-install-shortcuts' into `gnus-registry-load', after the
>> actual loading, a la the attached patch?  Does this solve the problems
>> you're seeing?
>
> I can't tell whether your solution is appropriate but it indeed seems to
> fix my problem!  I'll leave your patch installed and report back should
> I see any downside.

In hindsight, there didn't need to be a `gnus-registry-enabled' boolean,
we should have just been checking the existence of `gnus-registry-db',
but I think it's too late to remove that boolean now.